import {
  __esm,
  __objRest,
  __spreadValues
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/bank-accounts/index.ts
function createBankAccountsResource(instanceId, client) {
  return {
    list(_a) {
      var _b = _a, {
        receiver_id
      } = _b, params = __objRest(_b, [
        "receiver_id"
      ]);
      const queryParams = Object.keys(params).length ? `?${new URLSearchParams(params)}` : "";
      return client.get(
        `/instances/${instanceId}/receivers/${receiver_id}/bank-accounts${queryParams}`
      );
    },
    get({
      receiver_id,
      id
    }) {
      return client.get(
        `/instances/${instanceId}/receivers/${receiver_id}/bank-accounts/${id}`
      );
    },
    delete({ receiver_id, id }) {
      return client.delete(
        `/instances/${instanceId}/receivers/${receiver_id}/bank-accounts/${id}`
      );
    },
    createPix(_c) {
      var _d = _c, {
        receiver_id
      } = _d, data = __objRest(_d, [
        "receiver_id"
      ]);
      return client.post(`/instances/${instanceId}/receivers/${receiver_id}/bank-accounts`, __spreadValues({
        type: "pix"
      }, data));
    },
    createPixSafe(_e) {
      var _f = _e, {
        receiver_id
      } = _f, data = __objRest(_f, [
        "receiver_id"
      ]);
      return client.post(`/instances/${instanceId}/receivers/${receiver_id}/bank-accounts`, __spreadValues({
        type: "pix_safe"
      }, data));
    },
    createArgentinaTransfers(_g) {
      var _h = _g, {
        receiver_id
      } = _h, data = __objRest(_h, [
        "receiver_id"
      ]);
      return client.post(`/instances/${instanceId}/receivers/${receiver_id}/bank-accounts`, __spreadValues({
        type: "transfers_bitso"
      }, data));
    },
    createSpei(_i) {
      var _j = _i, {
        receiver_id
      } = _j, data = __objRest(_j, [
        "receiver_id"
      ]);
      return client.post(`/instances/${instanceId}/receivers/${receiver_id}/bank-accounts`, __spreadValues({
        type: "spei_bitso"
      }, data));
    },
    createColombiaAch(_k) {
      var _l = _k, {
        receiver_id
      } = _l, data = __objRest(_l, [
        "receiver_id"
      ]);
      return client.post(`/instances/${instanceId}/receivers/${receiver_id}/bank-accounts`, __spreadValues({
        type: "ach_cop_bitso"
      }, data));
    },
    createAch(_m) {
      var _n = _m, {
        receiver_id
      } = _n, data = __objRest(_n, [
        "receiver_id"
      ]);
      return client.post(`/instances/${instanceId}/receivers/${receiver_id}/bank-accounts`, __spreadValues({
        type: "ach"
      }, data));
    },
    createWire(_o) {
      var _p = _o, {
        receiver_id
      } = _p, data = __objRest(_p, [
        "receiver_id"
      ]);
      return client.post(`/instances/${instanceId}/receivers/${receiver_id}/bank-accounts`, __spreadValues({
        type: "wire"
      }, data));
    },
    createInternationalSwift(_q) {
      var _r = _q, {
        receiver_id
      } = _r, data = __objRest(_r, [
        "receiver_id"
      ]);
      return client.post(`/instances/${instanceId}/receivers/${receiver_id}/bank-accounts`, __spreadValues({
        type: "international_swift"
      }, data));
    },
    createRtp(_s) {
      var _t = _s, {
        receiver_id
      } = _t, data = __objRest(_t, [
        "receiver_id"
      ]);
      return client.post(`/instances/${instanceId}/receivers/${receiver_id}/bank-accounts`, __spreadValues({
        type: "rtp"
      }, data));
    }
  };
}
var init_bank_accounts = __esm({
  "src/resources/bank-accounts/index.ts"() {
  }
});

export {
  createBankAccountsResource,
  init_bank_accounts
};
